VarianceGammaEngine Class Reference
Pricing engines » Vanilla option engines

Variance Gamma Pricing engine for European vanilla options using integral approach. More...

`#include <ql/experimental/variancegamma/analyticvariancegammaengine.hpp>`

Inherits engine.

## Public Member Functions

| VarianceGammaEngine (const boost::shared_ptr< VarianceGammaProcess > &, Real absoluteError=1e-5)
void | calculate () const

## Detailed Description

Variance Gamma Pricing engine for European vanilla options using integral approach.

Tests:
  the correctness of the returned values is tested by checking it against known good results.